Keywords
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/keywords' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 200,
"keywords": [
{
"id": 1612,
"name": "spacecraft"
},
{
"id": 3822,
"name": "teleportation"
},
{
"id": 1472,
"name": "starship"
},
{
"id": 399,
"name": "fountain of youth"
},
{
"id": 3469,
"name": "utopia"
},
{
"id": 5726,
"name": "insurrection"
},
{
"id": 9951,
"name": "alien"
},
{
"id": 161176,
"name": "space opera"
},
{
"id": 162388,
"name": "retribution"
},
{
"id": 162392,
"name": "spacecraft officer"
},
{
"id": 162399,
"name": "exploding ship"
},
{
"id": 204390,
"name": "cosmos"
},
{
"id": 241954,
"name": "technophobia"
},
{
"id": 244653,
"name": "synthetic android"
},
{
"id": 252634,
"name": "outer space"
}
]
}MOVIES
Keywords
This endpoint fetches IDs and Keywords of Movies.
GET
/
3
/
movie
/
{movie_id}
/
keywords
Keywords
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Keywords Example
Example:
200
Show child attributes
Show child attributes
Example:
[ { "id": 1612, "name": "spacecraft" }, { "id": 3822, "name": "teleportation" }, { "id": 1472, "name": "starship" }, { "id": 399, "name": "fountain of youth" }, { "id": 3469, "name": "utopia" }, { "id": 5726, "name": "insurrection" }, { "id": 9951, "name": "alien" }, { "id": 161176, "name": "space opera" }, { "id": 162388, "name": "retribution" }, { "id": 162392, "name": "spacecraft officer" }, { "id": 162399, "name": "exploding ship" }, { "id": 204390, "name": "cosmos" }, { "id": 241954, "name": "technophobia" }, { "id": 244653, "name": "synthetic android" }, { "id": 252634, "name": "outer space" } ]
⌘I